using System.ComponentModel;
using Hotline.Exams.Base;
using Hotline.Share.Enums.Exams;
using SqlSugar;

namespace Hotline.Exams.TestPapers
{
    /// <summary>
    /// 试卷规则
    /// </summary>
    [Description("试卷规则")]
    public class ExamTestPaperRule : ExamBusinessEntity
    {
        /// <summary>
        /// 试卷Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷Id")]
        [Description("试卷Id")]
        public string TestPaperId { get; set; }

        /// <summary>
        /// 试题类型
        /// </summary>
        [SugarColumn(ColumnDescription = "试题类型")]
        [Description("试题类型")]
        public EQuestionType QuestionType { get; set; }

        /// <summary>
        /// 试题难度
        /// </summary>
        [SugarColumn(ColumnDescription = "试题难度")]
        [Description("试题难度")]
        public EDifficultyLevel DifficultyLevel { get; set; }

        /// <summary>
        /// 试题数量
        /// </summary>
        [SugarColumn(ColumnDescription = "试题数量")]
        [Description("试题数量")]
        public int Count { get; set; }

        [Navigate(NavigateType.OneToMany,nameof(ExamTestPaperRuleTag.TestPaperRuleId))]
        public List<ExamTestPaperRuleTag> TestPaperRuleTags { get; set; }
    }
}
